Subject: Re: [Coco] Converting ANSI-C to K&R(Microware) - Ansifront didn't work
From: Michael Furman <[email-masked]>
To: CoCoList for Color Computer Enthusiasts <[email-masked]>
Date: Sat, 8 Jan 2011 20:56:45 -0800
List-Id: CoCoList for Color Computer Enthusiasts <coco.maltedmedia.com>

On Jan 8, 2011, at 6:29 PM, gene heskett wrote:
>> 
>> Well, you need the MW C Compiler and the LII development system.
>> You can grab c.comp from Gene's web site but you didn't hear that from
>> me! ;-)
>> 
> and TBT Willard, running that as two pieces (c.pass1, c.pass2) puts a lot 
> less memory pressure on the coco, so while its nice, I'm not so sure its 
> better.

I've noted that cc252 calls c.pass1 and c.pass2.  Is there any real difference between this and c.comp?  How do I switch them?

>> commands From RTSI:
>> ansifront012.lzh*
>> COpt2_1_1.lzh*  ansifront012.readme*  cc_2_5_2.lzh  rma_1_3_patch.lzh*
>> Make_TK.lzh*    cb_C_Beautifier.lzh*  cprep19.lzh
>> rma_6309_Patch.lzh*

After going through this much I got cc252 to compile something.  Can either of you confirm my findings?

c.prep [ used by cc1 ]
c_prep19 [ Can replace c.prep ?, cc252 expects this to be named c_prep ]

rmxlab [ ? ]
c.opt [ used by cc1, cc252 ]
copt2 [ can replace c.opt ? ]

The rest of the stuff I installed in /dd/cmds makes sense:

make

cb  [ call from makefile ]

cc1 [ CC = cc1 in makefile ]
cc2 [ CC = cc2 in makefile ]
cc252 [ CC = cc252 in makefile ]

ansifront [ cc252 -A ]

c.pass1 [ used by cc1, cc252 ]
c.pass2 [ used by cc1, cc252 ]
c.comp [ ? ]

c.asm [ used by cc1 ]
rma [ used by cc252 ]
r63 [ cc252 -N ]

c.link [ used by cc1 ]
rlink [ used by cc252 ]

--
Coco mailing list
[email-masked]
http://five.pairlist.net/mailman/listinfo/coco